Developers
ReferenceWebhook endpoints

Update a webhook endpoint

Update a webhook endpoint. Set `status` to `enabled` to switch on an endpoint that was disabled after failing.

PATCH
/webhook-endpoints/{id}

Update a webhook endpoint. Set status to enabled to switch on an endpoint that was disabled after failing.

Authorization

http
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create (POST) or update (PATCH) a webhook endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/webhook-endpoints/string" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "order.created"    ]  }'
{  "id": "string",  "object": "webhook_endpoint",  "url": "string",  "description": "string",  "events": [    "string"  ],  "include_personal_data": true,  "status": "enabled",  "disabled_reason": "string",  "secret": "string",  "created_at": "string",  "updated_at": "string"}